package com.hfkj.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * bs_order_refund
 * @author 
 */
/**
 * 
 * 代码由工具生成
 * 
 **/
public class BsOrderRefund implements Serializable {
    /**
     * 主键ID
     */
    private Long id;

    /**
     * 商户id
     */
    private Long merId;

    /**
     * 交易订单号
     */
    private String orderNo;

    /**
     * 子订单号
     */
    private String orderChildNo;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 用户手机号
     */
    private String userPhone;

    /**
     * 退款订单号
     */
    private String refundOrderNo;

    /**
     * 退款入账商户号
     */
    private String accountMerchantNo;

    /**
     * 退款入账商户key
     */
    private String accountMerchantKey;

    /**
     * 支付渠道  1：惠支付  2：微信合作商  3：贵州银行
     */
    private Integer refundPayChannel;

    /**
     * 支付类型 数据字典：ORDER_PAY_TYPE
     */
    private Integer reufndPayType;

    /**
     * 客户退款流水号
     */
    private String refundSerialNo;

    /**
     * 支付渠道退款流水号
     */
    private String refundPayChannelOrderNo;

    /**
     * 退款金额
     */
    private BigDecimal refundPrice;

    /**
     * 退款积分
     */
    private Long refundIntegral;

    /**
     * 退款备注
     */
    private String refundRemark;

    /**
     * 退款状态 
 1. 退款中
 2. 退款成功
 3. 退款失败
     */
    private Integer refundStatus;

    /**
     * 退款失败原因
     */
    private String refundFailReason;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 完成时间
     */
    private Date finishTime;

    /**
     * 操作人类型   1. 系统  2. 管理员  3. 用户
     */
    private Integer opUserType;

    /**
     * 操作人id
     */
    private Long opUserId;

    /**
     * 操作人名称
     */
    private String opUserName;

    private String ext1;

    private String ext2;

    private String ext3;

    private static final long serialVersionUID = 1L;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getMerId() {
        return merId;
    }

    public void setMerId(Long merId) {
        this.merId = merId;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getOrderChildNo() {
        return orderChildNo;
    }

    public void setOrderChildNo(String orderChildNo) {
        this.orderChildNo = orderChildNo;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getUserPhone() {
        return userPhone;
    }

    public void setUserPhone(String userPhone) {
        this.userPhone = userPhone;
    }

    public String getRefundOrderNo() {
        return refundOrderNo;
    }

    public void setRefundOrderNo(String refundOrderNo) {
        this.refundOrderNo = refundOrderNo;
    }

    public String getAccountMerchantNo() {
        return accountMerchantNo;
    }

    public void setAccountMerchantNo(String accountMerchantNo) {
        this.accountMerchantNo = accountMerchantNo;
    }

    public String getAccountMerchantKey() {
        return accountMerchantKey;
    }

    public void setAccountMerchantKey(String accountMerchantKey) {
        this.accountMerchantKey = accountMerchantKey;
    }

    public Integer getRefundPayChannel() {
        return refundPayChannel;
    }

    public void setRefundPayChannel(Integer refundPayChannel) {
        this.refundPayChannel = refundPayChannel;
    }

    public Integer getReufndPayType() {
        return reufndPayType;
    }

    public void setReufndPayType(Integer reufndPayType) {
        this.reufndPayType = reufndPayType;
    }

    public String getRefundSerialNo() {
        return refundSerialNo;
    }

    public void setRefundSerialNo(String refundSerialNo) {
        this.refundSerialNo = refundSerialNo;
    }

    public String getRefundPayChannelOrderNo() {
        return refundPayChannelOrderNo;
    }

    public void setRefundPayChannelOrderNo(String refundPayChannelOrderNo) {
        this.refundPayChannelOrderNo = refundPayChannelOrderNo;
    }

    public BigDecimal getRefundPrice() {
        return refundPrice;
    }

    public void setRefundPrice(BigDecimal refundPrice) {
        this.refundPrice = refundPrice;
    }

    public Long getRefundIntegral() {
        return refundIntegral;
    }

    public void setRefundIntegral(Long refundIntegral) {
        this.refundIntegral = refundIntegral;
    }

    public String getRefundRemark() {
        return refundRemark;
    }

    public void setRefundRemark(String refundRemark) {
        this.refundRemark = refundRemark;
    }

    public Integer getRefundStatus() {
        return refundStatus;
    }

    public void setRefundStatus(Integer refundStatus) {
        this.refundStatus = refundStatus;
    }

    public String getRefundFailReason() {
        return refundFailReason;
    }

    public void setRefundFailReason(String refundFailReason) {
        this.refundFailReason = refundFailReason;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Date getFinishTime() {
        return finishTime;
    }

    public void setFinishTime(Date finishTime) {
        this.finishTime = finishTime;
    }

    public Integer getOpUserType() {
        return opUserType;
    }

    public void setOpUserType(Integer opUserType) {
        this.opUserType = opUserType;
    }

    public Long getOpUserId() {
        return opUserId;
    }

    public void setOpUserId(Long opUserId) {
        this.opUserId = opUserId;
    }

    public String getOpUserName() {
        return opUserName;
    }

    public void setOpUserName(String opUserName) {
        this.opUserName = opUserName;
    }

    public String getExt1() {
        return ext1;
    }

    public void setExt1(String ext1) {
        this.ext1 = ext1;
    }

    public String getExt2() {
        return ext2;
    }

    public void setExt2(String ext2) {
        this.ext2 = ext2;
    }

    public String getExt3() {
        return ext3;
    }

    public void setExt3(String ext3) {
        this.ext3 = ext3;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        BsOrderRefund other = (BsOrderRefund) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getMerId() == null ? other.getMerId() == null : this.getMerId().equals(other.getMerId()))
            && (this.getOrderNo() == null ? other.getOrderNo() == null : this.getOrderNo().equals(other.getOrderNo()))
            && (this.getOrderChildNo() == null ? other.getOrderChildNo() == null : this.getOrderChildNo().equals(other.getOrderChildNo()))
            && (this.getUserId() == null ? other.getUserId() == null : this.getUserId().equals(other.getUserId()))
            && (this.getUserPhone() == null ? other.getUserPhone() == null : this.getUserPhone().equals(other.getUserPhone()))
            && (this.getRefundOrderNo() == null ? other.getRefundOrderNo() == null : this.getRefundOrderNo().equals(other.getRefundOrderNo()))
            && (this.getAccountMerchantNo() == null ? other.getAccountMerchantNo() == null : this.getAccountMerchantNo().equals(other.getAccountMerchantNo()))
            && (this.getAccountMerchantKey() == null ? other.getAccountMerchantKey() == null : this.getAccountMerchantKey().equals(other.getAccountMerchantKey()))
            && (this.getRefundPayChannel() == null ? other.getRefundPayChannel() == null : this.getRefundPayChannel().equals(other.getRefundPayChannel()))
            && (this.getReufndPayType() == null ? other.getReufndPayType() == null : this.getReufndPayType().equals(other.getReufndPayType()))
            && (this.getRefundSerialNo() == null ? other.getRefundSerialNo() == null : this.getRefundSerialNo().equals(other.getRefundSerialNo()))
            && (this.getRefundPayChannelOrderNo() == null ? other.getRefundPayChannelOrderNo() == null : this.getRefundPayChannelOrderNo().equals(other.getRefundPayChannelOrderNo()))
            && (this.getRefundPrice() == null ? other.getRefundPrice() == null : this.getRefundPrice().equals(other.getRefundPrice()))
            && (this.getRefundIntegral() == null ? other.getRefundIntegral() == null : this.getRefundIntegral().equals(other.getRefundIntegral()))
            && (this.getRefundRemark() == null ? other.getRefundRemark() == null : this.getRefundRemark().equals(other.getRefundRemark()))
            && (this.getRefundStatus() == null ? other.getRefundStatus() == null : this.getRefundStatus().equals(other.getRefundStatus()))
            && (this.getRefundFailReason() == null ? other.getRefundFailReason() == null : this.getRefundFailReason().equals(other.getRefundFailReason()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getUpdateTime() == null ? other.getUpdateTime() == null : this.getUpdateTime().equals(other.getUpdateTime()))
            && (this.getFinishTime() == null ? other.getFinishTime() == null : this.getFinishTime().equals(other.getFinishTime()))
            && (this.getOpUserType() == null ? other.getOpUserType() == null : this.getOpUserType().equals(other.getOpUserType()))
            && (this.getOpUserId() == null ? other.getOpUserId() == null : this.getOpUserId().equals(other.getOpUserId()))
            && (this.getOpUserName() == null ? other.getOpUserName() == null : this.getOpUserName().equals(other.getOpUserName()))
            && (this.getExt1() == null ? other.getExt1() == null : this.getExt1().equals(other.getExt1()))
            && (this.getExt2() == null ? other.getExt2() == null : this.getExt2().equals(other.getExt2()))
            && (this.getExt3() == null ? other.getExt3() == null : this.getExt3().equals(other.getExt3()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getMerId() == null) ? 0 : getMerId().hashCode());
        result = prime * result + ((getOrderNo() == null) ? 0 : getOrderNo().hashCode());
        result = prime * result + ((getOrderChildNo() == null) ? 0 : getOrderChildNo().hashCode());
        result = prime * result + ((getUserId() == null) ? 0 : getUserId().hashCode());
        result = prime * result + ((getUserPhone() == null) ? 0 : getUserPhone().hashCode());
        result = prime * result + ((getRefundOrderNo() == null) ? 0 : getRefundOrderNo().hashCode());
        result = prime * result + ((getAccountMerchantNo() == null) ? 0 : getAccountMerchantNo().hashCode());
        result = prime * result + ((getAccountMerchantKey() == null) ? 0 : getAccountMerchantKey().hashCode());
        result = prime * result + ((getRefundPayChannel() == null) ? 0 : getRefundPayChannel().hashCode());
        result = prime * result + ((getReufndPayType() == null) ? 0 : getReufndPayType().hashCode());
        result = prime * result + ((getRefundSerialNo() == null) ? 0 : getRefundSerialNo().hashCode());
        result = prime * result + ((getRefundPayChannelOrderNo() == null) ? 0 : getRefundPayChannelOrderNo().hashCode());
        result = prime * result + ((getRefundPrice() == null) ? 0 : getRefundPrice().hashCode());
        result = prime * result + ((getRefundIntegral() == null) ? 0 : getRefundIntegral().hashCode());
        result = prime * result + ((getRefundRemark() == null) ? 0 : getRefundRemark().hashCode());
        result = prime * result + ((getRefundStatus() == null) ? 0 : getRefundStatus().hashCode());
        result = prime * result + ((getRefundFailReason() == null) ? 0 : getRefundFailReason().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getUpdateTime() == null) ? 0 : getUpdateTime().hashCode());
        result = prime * result + ((getFinishTime() == null) ? 0 : getFinishTime().hashCode());
        result = prime * result + ((getOpUserType() == null) ? 0 : getOpUserType().hashCode());
        result = prime * result + ((getOpUserId() == null) ? 0 : getOpUserId().hashCode());
        result = prime * result + ((getOpUserName() == null) ? 0 : getOpUserName().hashCode());
        result = prime * result + ((getExt1() == null) ? 0 : getExt1().hashCode());
        result = prime * result + ((getExt2() == null) ? 0 : getExt2().hashCode());
        result = prime * result + ((getExt3() == null) ? 0 : getExt3().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", merId=").append(merId);
        sb.append(", orderNo=").append(orderNo);
        sb.append(", orderChildNo=").append(orderChildNo);
        sb.append(", userId=").append(userId);
        sb.append(", userPhone=").append(userPhone);
        sb.append(", refundOrderNo=").append(refundOrderNo);
        sb.append(", accountMerchantNo=").append(accountMerchantNo);
        sb.append(", accountMerchantKey=").append(accountMerchantKey);
        sb.append(", refundPayChannel=").append(refundPayChannel);
        sb.append(", reufndPayType=").append(reufndPayType);
        sb.append(", refundSerialNo=").append(refundSerialNo);
        sb.append(", refundPayChannelOrderNo=").append(refundPayChannelOrderNo);
        sb.append(", refundPrice=").append(refundPrice);
        sb.append(", refundIntegral=").append(refundIntegral);
        sb.append(", refundRemark=").append(refundRemark);
        sb.append(", refundStatus=").append(refundStatus);
        sb.append(", refundFailReason=").append(refundFailReason);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", finishTime=").append(finishTime);
        sb.append(", opUserType=").append(opUserType);
        sb.append(", opUserId=").append(opUserId);
        sb.append(", opUserName=").append(opUserName);
        sb.append(", ext1=").append(ext1);
        sb.append(", ext2=").append(ext2);
        sb.append(", ext3=").append(ext3);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}